# The Red Matrix: include/menu.php File Reference

All Classes Namespaces Files Functions Variables Pages
menu.php File Reference

## Functions

| menu_fetch ($name, $uid, $observer_xchan)
| menu_render ($menu, $class='', $edit=false)
| menu_fetch_id ($menu_id, $channel_id)
| menu_create ($arr)
| menu_list ($channel_id, $name= '', $flags=0)
| menu_list_count ($channel_id, $name= '', $flags=0)
| menu_edit ($arr)
| menu_delete ($menu_name, $uid)
| menu_delete_id ($menu_id, $uid)
| menu_add_item ($menu_id, $uid, $arr)
| menu_edit_item ($menu_id, $uid, $arr)
| menu_del_item ($menu_id, $uid, $item_id)

## Function Documentation

menu_add_item | ( |  | $menu_id,
|  |  | $uid,
|  |  | $arr
| ) |  |

Referenced by bookmark_add(), and mitem_post().

menu_create | ( |  | $arr | ) |

Referenced by bookmark_add(), and menu_post().

menu_del_item | ( |  | $menu_id,
|  |  | $uid,
|  |  | $item_id
| ) |  |

Referenced by mitem_content().

menu_delete | ( |  | $menu_name,
|  |  | $uid
| ) |  |

menu_delete_id | ( |  | $menu_id,
|  |  | $uid
| ) |  |

Referenced by menu_content(), and menu_delete().

menu_edit | ( |  | $arr | ) |

Referenced by menu_post().

menu_edit_item | ( |  | $menu_id,
|  |  | $uid,
|  |  | $arr
| ) |  |

Referenced by mitem_post().

menu_fetch | ( |  | $name,
|  |  | $uid,
|  |  | $observer_xchan
| ) |  |

Referenced by bookmarks_content(), comanche_menu(), mitem_content(), and profile_sidebar().

menu_fetch_id | ( |  | $menu_id,
|  |  | $channel_id
| ) |  |

Referenced by menu_content(), and mitem_init().

menu_list | ( |  | $channel_id,
|  |  | $name = `''`,
|  |  | $flags = `0`
| ) |  |

If $flags is present, check that all the bits in $flags are set so that MENU_SYSTEM|MENU_BOOKMARK will return entries with both bits set. We will use this to find system generated bookmarks.

Referenced by bookmark_add(), bookmarks_content(), menu_content(), and rbmark_content().

menu_list_count | ( |  | $channel_id,
|  |  | $name = `''`,
|  |  | $flags = `0`
| ) |  |

Referenced by nav().

menu_render | ( |  | $menu,
|  |  | $class = `''`,
|  |  | $edit = `false`
| ) |  |

Referenced by bookmarks_content(), comanche_menu(), profile_sidebar(), and widget_menu_preview().